RTL stuck after install

Hi, I’m currently running Umbrel on Dell Latitude E6440 Ubuntu 20.04.3 LTS (Focal Fossa). It’s stuck a with “starting” icon after installing RTL.
I’m still new to Linux environment. How do I go about this?

Thanks in advance

Attached is the link to the files: https://drive.google.com/drive/folders/1KHxGBjKk7OFRNknxkv-_gxWDHUyRYEb0?usp=sharing

If your on an AMD system you’ll probably have to do this or wait for the next release:

Thanks for solution but unfortunately its an Intel system.

Will take a look at it also to see if there’s solution there.

Cheers :grin:

By amd64 i meant the 64 bits architecture (kernel). The fix should work for you too.

1 Like

Hi louneskmt, I’m not sure where I did wrong but here’s the log after applying this solution:

Link: Ride the lightning stuck in starting.........loop

Log:

lightning@lightning-BTC:~/Downloads/umbrel$ sed -i “s/bash/sh/g;” app-data/ride-the-lightning/rtl/entrypoint.sh && scripts/app stop ride-the-lightning && scripts/app start ride-the-lightning
Stopping app ride-the-lightning…
Traceback (most recent call last):
File “urllib3/connectionpool.py”, line 677, in urlopen
File “urllib3/connectionpool.py”, line 392, in _make_request
File “http/client.py”, line 1277, in request
File “http/client.py”, line 1323, in _send_request
File “http/client.py”, line 1272, in endheaders
File “http/client.py”, line 1032, in _send_output
File “http/client.py”, line 972, in send
File “docker/transport/unixconn.py”, line 43, in connect
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “requests/adapters.py”, line 449, in send
File “urllib3/connectionpool.py”, line 727, in urlopen
File “urllib3/util/retry.py”, line 410, in increment
File “urllib3/packages/six.py”, line 734, in reraise
File “urllib3/connectionpool.py”, line 677, in urlopen
File “urllib3/connectionpool.py”, line 392, in _make_request
File “http/client.py”, line 1277, in request
File “http/client.py”, line 1323, in _send_request
File “http/client.py”, line 1272, in endheaders
File “http/client.py”, line 1032, in _send_output
File “http/client.py”, line 972, in send
File “docker/transport/unixconn.py”, line 43, in connect
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, PermissionError(13, ‘Permission denied’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “docker/api/client.py”, line 214, in _retrieve_server_version
File “docker/api/daemon.py”, line 181, in version
File “docker/utils/decorators.py”, line 46, in inner
File “docker/api/client.py”, line 237, in _get
File “requests/sessions.py”, line 543, in get
File “requests/sessions.py”, line 530, in request
File “requests/sessions.py”, line 643, in send
File “requests/adapters.py”, line 498, in send
requests.exceptions.ConnectionError: (‘Connection aborted.’, PermissionError(13, ‘Permission denied’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “docker-compose”, line 3, in
File “compose/cli/main.py”, line 81, in main
File “compose/cli/main.py”, line 200, in perform_command
File “compose/cli/command.py”, line 70, in project_from_options
File “compose/cli/command.py”, line 153, in get_project
File “compose/cli/docker_client.py”, line 43, in get_client
File “compose/cli/docker_client.py”, line 170, in docker_client
File “docker/api/client.py”, line 197, in init
File “docker/api/client.py”, line 222, in _retrieve_server_version
docker.errors.DockerException: Error while fetching server API version: (‘Connection aborted.’, PermissionError(13, ‘Permission denied’))
[1617057] Failed to execute script docker-compose

Update: Just rebooted my system today & it worked. :grin:

1 Like